# Simon1994PlanetaryPositions

Core/Simon1994PlanetaryPositions.js 10
Contains functions for finding the Cartesian coordinates of the sun and the moon in the Earth-centered inertial frame.

### Methods

#### static Cesium.Simon1994PlanetaryPositions.computeMoonPositionInEarthInertialFrame(julianDate, result) → Cartesian3
Core/Simon1994PlanetaryPositions.js 549

Computes the position of the Moon in the Earth-centered inertial frame

Name | Type | Description
--- | --- | ---
`julianDate` | JulianDate | optional The time at which to compute the Sun's position, if not provided the current system time is used.
`result` | Cartesian3 | optional The object onto which to store the result.

##### Returns:

Calculated moon position

#### static Cesium.Simon1994PlanetaryPositions.computeSunPositionInEarthInertialFrame(julianDate, result) → Cartesian3
Core/Simon1994PlanetaryPositions.js 520

Computes the position of the Sun in the Earth-centered inertial frame

Name | Type | Description
--- | --- | ---
`julianDate` | JulianDate | optional The time at which to compute the Sun's position, if not provided the current system time is used.
`result` | Cartesian3 | optional The object onto which to store the result.

##### Returns:

Calculated sun position